/*
 * ToAutomatonBototmUp.cpp
 *
 * Created on: 20. 5. 2015
 * Author: Tomas Pecka
 */
#include "ToAutomatonBottomUp.h"
#include <registration/AlgoRegistration.hpp>

namespace grammar {

namespace convert {

automaton::Automaton ToAutomatonBottomUp::convert(const grammar::Grammar& grammar) {
	 return dispatch(grammar.getData());
}

auto ToAutomatonBottomUpCFG = registration::OverloadRegister < ToAutomatonBottomUp, automaton::NPDA < >, grammar::CFG < > > ( ToAutomatonBottomUp::convert );
auto ToAutomatonBottomUpEpsilonFreeCFG = registration::OverloadRegister < ToAutomatonBottomUp, automaton::NPDA < >, grammar::EpsilonFreeCFG < > > ( ToAutomatonBottomUp::convert );

} /* namespace convert */

} /* namespace grammar */
