/*
 * BitParallelIndexConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "BitParallelIndexConstruction.h"

#include <string/LinearString.h>
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

indexes::stringology::BitParallelIndex < DefaultSymbolType > BitParallelIndexConstruction::construct ( const string::String & string ) {
	return dispatch ( string.getData ( ) );
}

auto bitParallelIndexConstructionLinearString = registration::OverloadRegister < BitParallelIndexConstruction, indexes::stringology::BitParallelIndex < DefaultSymbolType >, string::LinearString < > > ( BitParallelIndexConstruction::construct );

} /* namespace indexing */

} /* namespace stringology */
