/*
 * ObjectsTrie.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsTrie.h"
#include "Container.h"

#include <registration/TypeRegistration.hpp>

namespace alib {

auto objectsTrieType = registration::TypeRegister < container::Container, container::ObjectsTrie < > > ( );
auto objectsTrieType2 = registration::TypeRegister < alib::Object, container::ObjectsTrie < > > ( );

} /* namespace alib */
