#include "CreateUniqueTest.h"

#include <common/createUnique.hpp>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION ( CreateUniqueTest, "common" );
CPPUNIT_TEST_SUITE_REGISTRATION ( CreateUniqueTest );

void CreateUniqueTest::setUp ( ) {
}

void CreateUniqueTest::tearDown ( ) {
}

void CreateUniqueTest::testCreateUnique ( ) {
	std::set < int > alphabet1 { 0, 1, 2 };
	std::set < int > alphabet2 { 3, 4, 5 };

	CPPUNIT_ASSERT ( common::createUnique ( 0, alphabet1, alphabet2 ) == 6 );
	CPPUNIT_ASSERT ( common::createUnique ( 0, alphabet1 ) == 3 );
	CPPUNIT_ASSERT ( common::createUnique ( 0, alphabet2 ) == 0 );
	CPPUNIT_ASSERT ( common::createUnique ( 0 ) == 0 );
}
