#ifndef CONTAINER_TEST_H_
#define CONTAINER_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class ContainerTest : public CppUnit::TestFixture {
	CPPUNIT_TEST_SUITE ( ContainerTest );
	CPPUNIT_TEST ( testXMLParser );
	CPPUNIT_TEST ( testVariantParsing );
	CPPUNIT_TEST ( testTreeParsing );
	CPPUNIT_TEST ( testTrieParsing );
	CPPUNIT_TEST ( testProperties );
	CPPUNIT_TEST_SUITE_END ( );

public:
	void setUp ( );
	void tearDown ( );

	void testXMLParser ( );
	void testVariantParsing ( );
	void testTreeParsing ( );
	void testTrieParsing ( );
	void testProperties ( );
};

#endif // CONTAINER_TEST_H_
