/*
 * CSG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "CSG.h"
#include "../Grammar.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>

namespace alib {

auto CSGType = registration::TypeRegister < grammar::Grammar, grammar::CSG < > > ( );
auto CSGType2 = registration::TypeRegister < alib::Object, grammar::CSG < > > ( );

} /* namespace alib */
