/*
 * GrammarClasses.h
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#ifndef GRAMMAR_CLASSES_H_
#define GRAMMAR_CLASSES_H_

#include "Regular/RightRG.h"
#include "Regular/LeftRG.h"
#include "Regular/RightLG.h"
#include "Regular/LeftLG.h"

#include "ContextFree/LG.h"
#include "ContextFree/CFG.h"
#include "ContextFree/EpsilonFreeCFG.h"
#include "ContextFree/GNF.h"
#include "ContextFree/CNF.h"

#include "ContextSensitive/CSG.h"
#include "ContextSensitive/NonContractingGrammar.h"

#include "Unrestricted/ContextPreservingUnrestrictedGrammar.h"
#include "Unrestricted/UnrestrictedGrammar.h"

#endif /* GRAMMAR_CLASSES_H_ */
