/*
 * RankedNonlinearPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "RankedNonlinearPattern.h"
#include "../Tree.h"
#include "../RankedTreeWrapper.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>

namespace alib {

auto RankedNonlinearPatternType = registration::TypeRegister < tree::Tree, tree::RankedNonlinearPattern < > > ( );
auto RankedNonlinearPatternType2 = registration::TypeRegister < tree::RankedTreeWrapper, tree::RankedNonlinearPattern < > > ( );
auto RankedNonlinearPatternType3 = registration::TypeRegister < alib::Object, tree::RankedNonlinearPattern < > > ( );

} /* namespace alib */
