/*
 * Author: Radovan Cerveny
 */

#ifndef MEASUREMENT_PROVISIONER_UTILS_HPP_
#define MEASUREMENT_PROVISIONER_UTILS_HPP_

#include <string>
#include <list>

namespace measurements {

class MPUtils {
public:
	static std::list < std::string > shellExpand ( const std::string & );

	static std::string randomFilename ( );

	struct ShmFileHandle {
		int fd;
		std::string filename;
	};

	static ShmFileHandle openShmFile ( );
	static void closeShmFile ( const ShmFileHandle & );

	static std::string generateTmpfileFromCommand ( const std::string & );
};

}

#endif /* MEASUREMENT_PROVISIONER_UTILS_HPP_ */
