/*
 * typeindex.h
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef __TYPEINDEX_H_
#define __TYPEINDEX_H_

#include <typeindex>
#include <iostream>

#include "string.hpp"

namespace std {

inline int operator -( const std::type_index & first, const std::type_index & second ) {
	return ( first < second ) ? -1 : ( first > second ) ? 1 : 0;
}

std::ostream & operator << ( std::ostream & os, const std::type_index & type );

} /* namespace std */

namespace ext {

std::string to_string ( const std::type_index & type );

} /* namespace ext */

#endif /* __TYPEINDEX_H_ */
