#ifndef TEST_UTILS_H
#define TEST_UTILS_H

#include <cstdio>
#include <string>
#include <sstream>

#include <vector>
#include <unordered_map>

#include <graph/GraphClasses.h>


template< typename Type >
inline std::string toString( const Type & val )
{
	std::ostringstream oss;
	oss << val;
	return oss.str();
}

void printGraphData( const graph::DirectedGraph & graph );

#endif // TEST_UTILS_H
