/*
 * NonlinearVariableSymbol.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "NonlinearVariableSymbol.h"
#include "Symbol.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>

namespace alib {

auto nonlinearVariableSymbolType = registration::TypeRegister < alphabet::Symbol, alphabet::NonlinearVariableSymbol < > > ( );
auto nonlinearVariableSymbolType2 = registration::TypeRegister < alib::Object, alphabet::NonlinearVariableSymbol < > > ( );

} /* namespace alib */
