/*
 * NFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "NFA.h"
#include "../Automaton.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace alib {

auto NFAType = registration::TypeRegister < automaton::Automaton, automaton::NFA < > > ( );
auto NFAType2 = registration::TypeRegister < alib::Object, automaton::NFA < > > ( );

auto NFAFromDFA = registration::CastRegister < automaton::NFA < >, automaton::DFA < > > ( );

auto NFAName = registration::NameRegister < automaton::NFA < > > ( automaton::NFA < >::getXmlTagName ( ) );

} /* namespace alib */
