/*
 * LabelFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#ifndef LABEL_FEATURES_H_
#define LABEL_FEATURES_H_

namespace label {

enum class FEATURES {
	PRIMITIVE,
	HEXAVIGESIMAL,
	OBJECT,
	UNIQUE_LABEL,
	INITIAL_STATE,
	FAIL_STATE,
	FINAL_STATE
};

class Label;
class LabelBase;

class PrimitiveLabel;
class HexavigesimalLabel;
class ObjectLabel;
class UniqueLabel;
class InitialStateLabel;
class FailStateLabel;
class FinalStateLabel;

} /* namespace label */

#endif /* LABEL_FEATURES_H_ */
