/*
 * RawApi.hpp
 *
 * Created on: Dec 27, 2014
 * Author: Jan Travnicek
 */

#ifndef RAW_API_HPP_
#define RAW_API_HPP_

#include "tree/TreeFromRawParser.h"
#include "string/StringFromRawParser.h"

namespace alib {

class FromRawParsers {
public:
	static const tree::TreeFromRawParser treeParser;
	static const string::StringFromRawParser stringParser;

};

} /* namespace alib */

#endif /* RAW_API_HPP_ */
