/*
 * typeinfo.cpp
 *
 * Created on: Apr 14, 2016
 * Author: Jan Travnicek
 */

#include <typeinfo>
#include <typeindex>
#include <iostream>

namespace ext {

std::string to_string ( const std::type_info & type ) {
	return to_string ( std::type_index ( type ) );
}

} /* namespace ext */

namespace std {

std::ostream & operator << ( std::ostream & os, const std::type_info & type ) {
	os << ext::to_string ( type );
	return os;
}

} /* namespace std */
