#include "MapTest.h"
#include <map>
#include <algorithm>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( MapTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION( MapTest );

void MapTest::setUp() {
}

void MapTest::tearDown() {
}

void MapTest::test3() {
	int moves;
	int copies;

	std::map<MapTest::Moveable, MapTest::Moveable> map;
	map.insert ( std::make_pair ( MapTest::Moveable(moves, copies ), MapTest::Moveable(moves, copies)) );
	std::map<MapTest::Moveable, MapTest::Moveable> map2;

	for( std::pair < Moveable, Moveable > moveablePair : std::make_moveable_map(map)) {
		map2.insert(std::move(moveablePair));
	}

	CPPUNIT_ASSERT(copies == 0);
}

