/*
 * GrammarStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef GRAMMAR_STRING_API_HPP_
#define GRAMMAR_STRING_API_HPP_

#include "../StringApi.hpp"
#include <grammar/Grammar.h>

namespace alib {

template < >
struct stringApi < grammar::Grammar > {
	static grammar::Grammar parse ( std::istream & input );
	static void compose ( std::ostream & output, const grammar::Grammar & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
