/*
 * StringStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef STRING_STRING_API_HPP_
#define STRING_STRING_API_HPP_

#include "../StringApi.hpp"
#include <string/String.h>

namespace alib {

template < >
struct stringApi < string::String > {
	static string::String parse ( std::istream & input );
	static void compose ( std::ostream & output, const string::String & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
