/*
 * PrimitiveStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef PRIMITIVE_STRING_API_HPP_
#define PRIMITIVE_STRING_API_HPP_

#include <StringApi.hpp>
#include <primitive/Primitive.h>

namespace alib {

template < >
struct stringApi < primitive::Primitive > {
	static primitive::Primitive parse ( std::istream & input );
	static void compose ( std::ostream & output, const primitive::Primitive & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
